asn1_copy_node(3)

NAME
asn1_copy_node - API function

SYNOPSIS
#include <libtasn1.h>

asn1_retCode asn1_copy_node(ASN1_TYPE dst, const char * dst_name, ASN1_TYPE src, const char * src_name);

ARGUMENTS

ASN1_TYPE dst
    Destination ASN1_TYPE node.

const char * dst_name
    Field name in destination node.

ASN1_TYPE src
    Source ASN1_TYPE node.

const char * src_name
    Field name in source node.

DESCRIPTION
Create a deep copy of a ASN1_TYPE variable.

RETURNS
Return ASN1_SUCCESS on success.

COPYRIGHT
Copyright © 2006, 2007, 2008, 2009, 2010 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual.